#pragma once
#include "Gedeng/Node.h"
#include "Gedeng/String.h"

namespace Gedeng {

class NodeSystem {
  public:
    // Load a node with all its children from a node definition file (`.gnd`) on
    // disk.
    static Node load_nodes_from_disk(const String &path);

    // Save a node and all its children to disk, at the given path. It is
    // recommended to end the path with `.gnd`.
    static void save_nodes_to_disk(const Node &node, const String &path);
};

} // namespace Gedeng